Key Management response codes
Error codes help you debug issues that occur as a result of sending badly formatted requests. The responseMessage is a short string that provides a brief explanation. The following tables list the available reason codes, as well as their possible causes.
The following fields are in the body of the response:
responseStatus: Valid values include:SUCCESS,DENIED, orERROR.SUCCESSmeans the request was approved by the issuer or completed successfully.ERRORis only returned for4XXor5XXresponses.responseCode: This field contains a shorter description of the processing result. For200responses, this may be displayed to the consumer.responseMessage: This field contains a longer, more descriptive message. These messages are not intended to be displayed to the consumer.hostMessage: Host refers to the system from which J.P. Morgan has received a response. ThehostMessageis mapped to J.P. Morgan’s response fields, but the unaltered message is returned, if received. For5XXresponses, the presence of this field indicates where the error exists.
Successful responses (200 – 299)
In general, a 200 status code indicates that a request has successfully processed, but does not necessarily mean that the issuer has approved the transaction.
| HTTP Status | responseStatus | responseCode | responseMessage |
|---|---|---|---|
200 |
SUCCESS |
ACCEPTED |
Key marked for revocation. |
| 200 | SUCCESS | ACCEPTED | Request completed. |
201 |
SUCCESS |
ACCEPTED |
Request completed. |
Client error responses (400 – 499)
A 4XX status code indicates that an error has occurred during request, and provides a list of specific codes. Additional fields are provided in the body of the response to help identify the error. Address the problem, and then resubmit the request.
| HTTP Status | responseStatus | responseCode | responseMessage |
|---|---|---|---|
400 |
ERROR |
VALIDATION_ERROR |
Request contains validation error. |
400 |
ERROR |
INVALID_DATA |
Invalid data passed in the request. |
400 |
ERROR |
INVALID_DATA |
Request contains invalid data. |
400 |
ERROR |
UNSUPPORTED_ACTION |
Requested action is not supported. |
401 |
ERROR |
UNAUTHORIZED |
Authorization credentials are missing or invalid. |
403 |
ERROR |
FORBIDDEN |
Incorrect combination of application ID and merchant ID in the header. |
403 |
ERROR |
FORBIDDEN |
Merchant not authorized to access the resource. |
403 |
ERROR |
FORBIDDEN |
Contacts on a COMPANY, PLATFORM or PROCESSOR (shared) key cannot be modified. |
404 |
ERROR |
NOT_FOUND |
Merchant not found. |
404 |
ERROR |
NOT_FOUND |
Key not found. |
409 |
ERROR |
DUPLICATE |
An active key already exists for the merchant. |
409 |
ERROR |
DUPLICATE |
A pending key already exists for the merchant. |
409 |
ERROR |
CONFLICT |
Key is already marked for revocation. |
409 |
ERROR |
CONFLICT |
Key status transition not allowed |
Server error responses (500 – 599)
A 5XX status code indicates that an error has occurred within the J.P. Morgan (or acquirer) environment during a request. Additional fields are provided in the body of the response to identify the error.
| HTTP Status | responseStatus | responseCode | responseMessage |
|---|---|---|---|
| 500 | ERROR | SERVER_ERROR | Server error, please retry. |